Bug 436737 - Review Request: php-pear-Mail-mimeDecode - Encodes and Decodes MIME messages
Review Request: php-pear-Mail-mimeDecode - Encodes and Decodes MIME messages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 423281 423291 423301 430720
  Show dependency treegraph
 
Reported: 2008-03-10 00:30 EDT by Brandon Holbrook
Modified: 2010-05-13 18:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 00:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2008-03-10 00:30:24 EDT
Spec URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode.spec
SRPM URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode-1.5.0-1.fc8.src.rpm
Description:
Provides a class to deal with the decoding and interpreting of mime messages.
This package used to be part of the Mail_Mime package, but has been split off.
Comment 1 Brandon Holbrook 2008-03-10 00:34:26 EDT
I suppose to conform to Fedora standards I should have named it MimeDecode
instead of mimeDecode... I'll do that next release.
Comment 2 Remi Collet 2008-03-16 10:55:50 EDT
First comments :

Package name if ok : php-pear-Mail-mimeDecode

You should use
  %setup -q -c
  cd Mail_mimeDecode-%{version}

Because package.xml is outside any directory in the tarball

As you Require pear > 1.6.0, you can probably BuildRequires same version (not
usefull to build if you can't install it).

From rpmlint :
 W: invalid-license PHP License

You must fix version => PHP

You must not own /usr/share/pear/Mail which is already owned by
php-pear-Mail-Mime (which is required).

It could be valuable to add a comment (for packager) on how to run test after
installation :  pear run-tests -p Mail_mimeDecode

Comment 3 Brandon Holbrook 2008-03-26 23:56:02 EDT
Spec URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode.spec
SRPM URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode-1.5.0-2.fc8.src.rpm

Applied all your suggested changes.  Thanks Remi!
Comment 4 Remi Collet 2008-03-29 05:46:23 EDT
REVIEW :
* rpmlint :
W: no-documentation
* The package is named according to the Package Naming Guidelines.
* The spec file name match the base package
* The package must the PHP Packaging Guidelines
* License field in the package spec file DOES NOT match the actual license
* The spec file is written in American English
* The spec file is legible
* build in mock (F-8, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* no documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane
* Final Provides ok
php-pear(Mail_mimeDecode) = 1.5.0
php-pear-Mail-mimeDecode = 1.5.0-2.fc8

* Final Requires ok
/usr/bin/pear  
php-pear(Mail_Mime) > 1.4.0
php-pear(PEAR) >= 1.6.0


MUST use epoch for pear BR (to avoid use of php-pear-4.3.9, p.e.) :
BuildRequires:	php-pear >= 1:1.6.0

(note that php-pear(PEAR) >= 1.6.0 is ok, doesn't need epoch)

MUST fix license => BSD (i haven't notice this in Comment #2, sorry)

 
Comment 5 Brandon Holbrook 2008-03-30 22:15:22 EDT
Spec URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode.spec
SRPM URL: http://theholbrooks.org/RPMS/php-pear-Mail-mimeDecode-1.5.0-3.fc8.src.rpm

- Changed license to BSD and added epoch to BR
Comment 6 Remi Collet 2008-03-31 00:38:40 EDT
APPROVED
Comment 7 Brandon Holbrook 2008-03-31 23:12:38 EDT
New Package CVS Request
=======================
Package Name: php-pear-Mail-mimeDecode
Short Description: transcodes mime messages
Owners: static,limb,remi
Branches: F8, F9
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-03-31 23:18:33 EDT
cvs done.
Comment 9 Fedora Update System 2008-04-01 00:29:06 EDT
php-pear-Mail-mimeDecode-1.5.0-3.fc8 has been submitted as an update for Fedora 8
Comment 10 Brandon Holbrook 2008-04-01 00:30:35 EDT
Committed and built, thanks again Remi!
Comment 11 Fedora Update System 2008-04-01 17:31:56 EDT
php-pear-Mail-mimeDecode-1.5.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Remi Collet 2010-05-13 03:50:38 EDT
Package Change Request
======================
Package Name: php-pear-Mail-mimeDecode
New Branches: EL-6
Owners: remi
Comment 13 Dennis Gilmore 2010-05-13 18:43:09 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.